import android.util.Log;
import org.haxe.nme.GameActivity;
import android.content.Context;
import android.media.MediaPlayer;

public class MusicOffsetLoop {
	
	static MusicOffsetLoop looper;
	static MediaPlayer mMediaPlayer = null;
	static double repeatOffset;
	
	public MusicOffsetLoop() {
		looper = this;
	}
	
	public static void test() {
		Log.i("trace", "test called");	
		
	}
	
	public static int playMusic( int inResourceID, double inRepeatOffset ) {
		Log.i("trace", "playMusic called: " + inResourceID + ", "  + inRepeatOffset );	
		
		if ( mMediaPlayer != null ) {
			Log.v("GameActivity","stop MediaPlayer");
			mMediaPlayer.stop();
			mMediaPlayer = null;
		}
		
		mMediaPlayer = MediaPlayer.create( (Context) GameActivity.getInstance(), inResourceID );
		
		if (mMediaPlayer==null)
			return -1;
		
		
		
		mMediaPlayer.setOnCompletionListener( new MediaPlayer.OnCompletionListener() {
			@Override public void onCompletion( MediaPlayer mp ) {
				Log.v("GameActivity","Music has completed a play");
					mp.seekTo( (int) repeatOffset );
					mp.start();
			}	
		});
		repeatOffset = inRepeatOffset;
		mMediaPlayer.start();
		return 0;
	}
	
	public static void pause() {
		if ( mMediaPlayer != null )
			mMediaPlayer.pause();
	}
	
	public static void resume() {
		if ( mMediaPlayer != null )
			mMediaPlayer.start();
		
	}
	
}